Skip to main content

attachments

Returns the attachments from a company

attachments(
scopeId: ID!
issueId: ID
projectId: ID
page: Int
limit: Int
search: AttachmentsSearch
origin: String
): AttachmentCollection!

Arguments

attachments.scopeId ● ID! non-null scalar

attachments.issueId ● ID scalar

attachments.projectId ● ID scalar

attachments.page ● Int scalar

attachments.limit ● Int scalar

attachments.origin ● String scalar

Type

AttachmentCollection object

AttachmentCollection type

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetAttachments($scopeId: ID!) {\n attachments(scopeId: $scopeId) { collection { id allowedPortalUsers { __typename } archiveContentType } metadata { currentPage limitValue totalCount } }\n}","variables":{"scopeId":"<scope_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.